use crate::pg::get_pool;

pub(crate) async fn update() -> Result<(), sqlx::Error> {
    let pool = get_pool()
        .await
        .map_err(|e| {
            error!("Failed to get Postgres connection pool: {:?}", e);
            e
        })?;

    let mut tx = pool.begin().await?;
}


pub(crate) get_forces() -> f64 {
    let query = r#"

        // WITH particles AS (
        //     SELECT position, velocity, type_id FROM particles
        // )
        // SELECT (position, ) FROM particles p

    "#;

}
